classification
Title: Sporadic failures of test_ssl
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, ixokai, pitrou
Priority: normal Keywords:

Created on 2010-10-29 19:46 by ixokai, last changed 2014-06-27 20:13 by ned.deily. This issue is now closed.

Messages (3)
msg119932 - (view) Author: Stephen Hansen (ixokai) (Python triager) Date: 2010-10-29 19:46
Another sporadic failure I've noticed since setting up my buildbot; test_ssl keeps going down. This one I have a hard time analyzing with the tests output, but the latest is: 
http://www.python.org/dev/buildbot/all/builders/x86%20Snow%20Leopard%203.x/builds/250

There's this part in the log:

test_get_server_certificate (test.test_ssl.NetworkedTests) ... [Errno 1] _ssl.c:390: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

Verified certificate for svn.python.org:443 is
[...pem...]
ok

There's an errno printed there, but then more debugging for that same test-- and an 'ok'-- so I don't see the FAIL message I'm expecting. So to my naive reading, it seems that it is running once and failing, then re-running in verbose and /not/ failing (and that the error-like message there may not be an error). So, the original problem is a mystery.

Or I'm totally reading it wrong. Either way, I've seen this several times and am not sure how to further debug it. Any suggestions or pointers are welcome. Or fixes :)
msg120002 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2010-10-30 16:41
The errno printed here is just an error which is expected and tested for. The verbose run was ok, it's the silent run just before which produced an error (or several), but unfortunately:

test test_ssl failed -- multiple errors occurred; run in verbose mode for details

That said, it is likely to be related to a transient failure of a remote host used for testing.
msg221701 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-27 17:59
Can this be closed as "out of date"?
History
Date User Action Args
2014-06-27 20:13:57ned.deilysetstatus: open -> closed
resolution: out of date
stage: resolved
2014-06-27 17:59:46BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221701
versions: + Python 2.7, Python 3.4, Python 3.5, - Python 3.2
2010-10-30 16:41:54pitrousetnosy: + pitrou
messages: + msg120002
2010-10-29 19:49:52ixokaisettype: behavior
components: + Library (Lib), Tests
2010-10-29 19:46:53ixokaicreate